* {
  margin: 0;
  padding: 0;
}

html {
  font-family: "Roboto Mono", monospace;
  text-align: center;
  background-color: #b0c4de;
  background-image:
    linear-gradient(rgba(0, 0, 0, 0.05) 1px, transparent 1px),
    linear-gradient(90deg, rgba(0, 0, 0, 0.05) 1px, transparent 1px);
  background-size: 32px 32px;
}

h1 {
  font-size: 3.25vw;
}

h2 {
  font-size: 1.75vw;
}

section {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1rem;
  margin: 2rem 15% 2rem 15%;
  border-radius: 1rem;
  border: 2px solid black;
  background-color: azure;
}

header {
  margin-top: 2vh;
  margin-bottom: 2vh;
}

#image-frame {
  display: flex;
  max-width: 1080px;
  max-height: 720px;
  margin-top: 2vh;
  margin-bottom: 1.5vh;
  justify-content: center;
}

.loading-animation {
  margin-top: 5rem;
  margin-bottom: 5rem;
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
  transform: scale(2.9);
}

.loading-animation div {
  position: absolute;
  width: 6px;
  height: 6px;
  background: darkblue;
  border-radius: 50%;
  animation: loading-animation 1.2s linear infinite;
}

.loading-animation div:nth-child(1) {
  animation-delay: 0s;
  top: 37px;
  left: 66px;
}

.loading-animation div:nth-child(2) {
  animation-delay: -0.1s;
  top: 22px;
  left: 62px;
}

.loading-animation div:nth-child(3) {
  animation-delay: -0.2s;
  top: 11px;
  left: 52px;
}

.loading-animation div:nth-child(4) {
  animation-delay: -0.3s;
  top: 7px;
  left: 37px;
}

.loading-animation div:nth-child(5) {
  animation-delay: -0.4s;
  top: 11px;
  left: 22px;
}

.loading-animation div:nth-child(6) {
  animation-delay: -0.5s;
  top: 22px;
  left: 11px;
}

.loading-animation div:nth-child(7) {
  animation-delay: -0.6s;
  top: 37px;
  left: 7px;
}

.loading-animation div:nth-child(8) {
  animation-delay: -0.7s;
  top: 52px;
  left: 11px;
}

.loading-animation div:nth-child(9) {
  animation-delay: -0.8s;
  top: 62px;
  left: 22px;
}
.loading-animation div:nth-child(10) {
  animation-delay: -0.9s;
  top: 66px;
  left: 37px;
}

.loading-animation div:nth-child(11) {
  animation-delay: -1s;
  top: 62px;
  left: 52px;
}

.loading-animation div:nth-child(12) {
  animation-delay: -1.1s;
  top: 52px;
  left: 62px;
}

@keyframes loading-animation {
  0%,
  20%,
  80%,
  100% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.5);
  }
}

.hidden {
  display: none;
}

#space-image {
  max-width: 85%;
  max-height: 45%;
}

.box-shadow {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

#githubicon {
  position: absolute;
  top: 20px;
  right: 6vw;
  width: 70px;
  height: 70px;
  transition: 1.5s;
  z-index: 0;
  background-color: transparent;
  border-radius: 30px;
}

#githubicon:hover {
  transform: translateY(-5px);
  background-color: azure;
}

#homeIcon {
  position: absolute;
  top: 20px;
  left: 6vw;
  width: 70px;
  height: 70px;
  transition: 1.5s;
  z-index: 0;
  background-color: transparent;
}

#homeIcon:hover {
  transform: translateY(-5px);
}
